<template>
  <div class="card p-6 rounded-sm" :class="{ 'bg-green': green, 'bg-red': red }">
    <p class="title">{{ title }}</p>
    <p class="desc">{{ desc }}</p>
    <Button class="w-full py-2 mt-3 round" :green="green" :red="red" :on-click="onClick">{{ buttonText }}</Button>
  </div>
</template>

<script>
export default {
  props: {
    title: {
      type: String,
      default: '',
    },
    desc: {
      type: String,
      default: '',
    },
    buttonText: {
      type: String,
      default: '',
    },
    red: {
      type: Boolean,
      default: false,
    },
    green: {
      type: Boolean,
      default: false,
    },
    onClick: {
      type: Function,
      default: () => {},
    },
  },
};
</script>

<style lang="scss" scoped>
.round {
  border-radius: 8px;
}
.bg-green {
  background-color: $bg-green;
}

.bg-red {
  background-color: $bg-red;
}

.title {
  font-size: 18px;
  line-height: 23px;
  font-weight: 600;
  margin-bottom: 13px;
}

.desc {
  font-size: 12px;
  line-height: 14px;
}
</style>
